Package org.apache.lucene.analysis.hunspell

## Class DictEntry

- java.lang.Object
- - org.apache.lucene.analysis.hunspell.DictEntry

-     public abstract class DictEntry
      extends Object

  An object representing *.dic file entry with its word, flags and morphological data.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `abstract String` | `getFlags()` |
    `abstract String` | `getMorphologicalData()` |
    `List<String>` | `getMorphologicalValues​(String key)` |
    `String` | `getStem()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getStem

          public String getStem()

      Returns:
        the stem word in the dictionary

    - #### getFlags

          public abstract String getFlags()

      Returns:
        the flags associated with the dictionary entry, encoded in the same format as in the *.dic file, but possibly in a different order

    - #### getMorphologicalData

          public abstract String getMorphologicalData()

      Returns:
        morphological fields (of `kk:vvvvvv` form, sorted, space-separated, excluding `ph:`) associated with the homonym at the given entry index, or an empty string

    - #### getMorphologicalValues

          public List<String> getMorphologicalValues​(String key)

      Parameters:
        `key` - the key in the form `kk:` by which to filter the morphological fields
      Returns:
        the values (of `vvvvvv` form) of morphological fields with the given key associated with the homonym at the given entry index